# $Revision: 1.8 $, $Date: 2004/05/06 18:43:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	SNMP
%define	pnam	Info
Summary:	SNMP::Info - Perl interface to network devices and MIBs through SNMP
Summary(pl):	SNMP::Info - interfejs perlowy do urzdze sieciowych i MIB-w poprzez SNMP
Name:		perl-SNMP-Info
Version:	0.8
Release:	1
License:	BSD
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4a802c44a863c1b362d9ae165236651d
URL:		http://snmp-info.sourceforge.net/
%if %{with tests}
BuildRequires:	perl(Math::BigInt)
BuildRequires:	perl-SNMP >= 4
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SNMP::Info gives an object oriented interface to information obtained
through SNMP. This module is geared towards network devices.
Subclasses exist for a number of network devices and common MIBs. The
idea behind this module is to give a common interface to data from
network devices, leaving the device-specific hacks behind the scenes
in subclasses.

%description -l pl
SNMP::Info udostpnia zorientowany obiektowo interfejs do informacji
uzyskiwanych poprzez SNMP. Modu jest dostosowany do urzdze
sieciowych. Istniej podklasy dla wielu urzdze sieciowych i
popularnych MIB-w. Ide tego moduu jest dostarczenie wsplnego
interfejsu do danych z urzdze sieciowych pozostawiajc specyficzne
dla konkretnych urzdze sztuczki ukryte w podklasach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog DeviceMatrix.txt
%{perl_vendorlib}/SNMP/Info.pm
%{perl_vendorlib}/SNMP/Info
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SNMP-Info.spec,v $
Revision 1.8  2004/05/06 18:43:21  ankry
- fixed perl-devel BR

Revision 1.7  2004/05/02 05:35:33  ankry
- cosmetics

Revision 1.6  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.5  2004/03/28 12:05:31  adamg
- updated to 0.8

Revision 1.4  2003/11/19 13:02:03  ankry
- remove more non-informative summaries

Revision 1.3  2003/11/19 11:10:46  qboosh
- fixed License, added URL and tests, switched to vendordirs
- more informative summaries and descriptions

Revision 1.2  2003/11/19 06:49:53  ankry
- fixed md5

Revision 1.1  2003/11/17 19:38:39  zagrodzki
- initial
